> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Intent Trigger Route

> Return the intent scoring trigger config for this proxy, or defaults if not configured.



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/proxies/{proxy_id}/intent-trigger
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/proxies/{proxy_id}/intent-trigger:
    get:
      tags:
        - proxies
      summary: Get Intent Trigger Route
      description: >-
        Return the intent scoring trigger config for this proxy, or defaults if
        not configured.
      operationId: get_intent_trigger_route_api_v1_proxies__proxy_id__intent_trigger_get
      parameters:
        - name: proxy_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Proxy Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntentTriggerRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IntentTriggerRead:
      properties:
        turn_scope:
          type: string
          title: Turn Scope
        first_n:
          anyOf:
            - type: integer
            - type: 'null'
          title: First N
        on_tools:
          type: string
          title: On Tools
        min_content_chars:
          type: integer
          title: Min Content Chars
        sample_rate:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Sample Rate
      type: object
      required:
        - turn_scope
        - first_n
        - on_tools
        - min_content_chars
        - sample_rate
      title: IntentTriggerRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````